# Reddit API (/api/reddit)



Public-data Reddit endpoints (APP surface).

## Operations [#operations]

* [`GET /reddit/feed/home`](/api/reddit/feed/home/get) — Browse Reddit's anonymous home feed — Browse Reddit's anonymous home feed
* [`GET /reddit/feed/news`](/api/reddit/feed/news/get) — Browse Reddit's news feed — Browse Reddit's news feed
* [`GET /reddit/feed/popular`](/api/reddit/feed/popular/get) — Browse Reddit's popular feed — Browse Reddit's popular feed
* [`GET /reddit/posts/{id}/comments`](/api/reddit/posts/id/comments/get) — List Reddit comments on a post — List Reddit comments on a post
* [`GET /reddit/posts/{id}`](/api/reddit/posts/id/get) — Get a Reddit post by id — Get a Reddit post by id
* [`GET /reddit/subreddits/{name}`](/api/reddit/subreddits/name/get) — Get a Reddit subreddit by name — Get a Reddit subreddit by name
* [`GET /reddit/trending-searches`](/api/reddit/trending-searches/get) — List Reddit's current trending search queries — List Reddit's current trending search queries
* [`GET /reddit/users/{username}/comments`](/api/reddit/users/username/comments/get) — List Reddit comments authored by a user — List Reddit comments authored by a user
* [`GET /reddit/users/{username}/posts`](/api/reddit/users/username/posts/get) — List Reddit posts authored by a user — List Reddit posts authored by a user
* [`GET /reddit/users/{username}`](/api/reddit/users/username/get) — Get a Reddit user profile by username — Get a Reddit user profile by username
